import React, { useState, useCallback, useEffect } from 'react';
import ReactDOM from 'react-dom';
import { csv, arc, pie, scaleBand, sclaeLinear } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/marianamartins87/cdc1a2fc940747dcefce54f0ff2f8d54/raw/9c82fcec4cdd22cae9806416ad4cc15cef5538f1/worldpopulation.csv';

const width = 960;
const height = 500;


const App = () => {
  const [data, setData] = useState(null);
  
  useEffect(() => {
    csv(csvUrl).then(setData);
  }, []);
  
  if(!data) {
    return <pre>Loading...</pre>;
  }

  console.log(data[0]);
  
  const yScale = scaleBand()
  	.domain(data.map(d => d.Country))
  	.range([0, height]);
  
  const xScale = scaleLinear()
  	.domain([0, 
  
  return (
    <svg width={width} height={height}>
      {data.map(d => <rect x={0} y={yScale(d.Country)} width={} height/>}
  </svg>
  );
};
const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);